> ## Documentation Index
> Fetch the complete documentation index at: https://docs.convocore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Crawler Job Pages

> Lists scraped page summaries for a crawler job using the V3 API.

## Overview

Returns the scraped pages currently stored for a crawler job.

## Includes

* URL
* Title
* Description
* Character counts
* Failed page marker

<Tip>
  Use this endpoint to build a page review UI before exporting or importing scraped content elsewhere.
</Tip>


## OpenAPI

````yaml GET /workspaces/{workspaceId}/crawler/jobs/{jobId}/pages
openapi: 3.0.3
info:
  title: Convocore OpenAPI
  description: Full API reference for Convocore
  version: 1.0.4
servers:
  - url: https://eu-gcp-api.vg-stuff.com/v3
    description: EU Node.js API server
  - url: https://na-gcp-api.vg-stuff.com/v3
    description: NA Node.js API server
security: []
paths:
  /workspaces/{workspaceId}/crawler/jobs/{jobId}/pages:
    get:
      tags:
        - Crawler
      summary: List crawler job pages
      description: >-
        Returns scraped page summaries for a crawler job. Crawler jobs are
        immutable after submission and cannot be updated.
      operationId: getCrawlerJobPages
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: jobId
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      pages:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            url:
                              type: string
                            urlHash:
                              type: string
                            title:
                              type: string
                            description:
                              type: string
                            scrapedAt:
                              type: number
                            imageUrl:
                              type: string
                            userId:
                              type: string
                            mdCharCount:
                              type: number
                            htmlCharCount:
                              type: number
                            failed:
                              type: boolean
                          required:
                            - id
                            - url
                            - urlHash
                            - title
                            - description
                            - scrapedAt
                            - imageUrl
                            - userId
                            - mdCharCount
                            - htmlCharCount
                            - failed
                          additionalProperties: false
                      total:
                        type: number
                      page:
                        type: number
                      pageSize:
                        type: number
                    required:
                      - pages
                      - total
                      - page
                      - pageSize
                    additionalProperties: false
                required:
                  - success
                  - message
                  - data
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
      security:
        - Authorization: []
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````